---
title: Введение
permalink: usage/deploy/intro.html
---

Начать пользоваться werf для выката, используя существующие [Helm](https://helm.sh) чарты, не составит никакого труда, т.к. они полностью совместимы с werf. Конфигурация описывается в формате аналогичном формату [Helm-чарта]({{ "usage/deploy/charts.html" | true_relative_url }}).

werf включает всю существующую функциональность Helm (он вкомпилен в werf) и свои дополнения:

- несколько настраиваемых режимов отслеживания выкатываемых ресурсов, в том числе обработка логов и событий;
- интеграция собираемых образов с [шаблонами]({{ "usage/deploy/templates.html" | true_relative_url }}) Helm-чартов;
- возможность простановки произвольных аннотаций и лейблов во все ресурсы, создаваемые в Kubernetes, глобально через опции утилиты werf;
- werf читает все конфигурационные файлы helm из git в соответствии с режимом [гитерминизма]({{ "usage/project_configuration/giterminism.html" | true_relative_url }}), что позволяет создавать по-настоящему воспроизводимые pipeline'ы в CI/CD и на локальных машинах.
- и другие особенности, о которых пойдёт речь далее.

С учётом всех этих дополнений и способа реализации можно рассматривать werf как альтернативный или улучшенный helm-клиент, для деплоя стандартных helm-совместимых чартов.

Для работы с приложением в Kubernetes используются следующие основные команды:

- [converge]({{ "reference/cli/werf_converge.html" | true_relative_url }}) — для установки или обновления приложения в кластере, и
- [dismiss]({{ "reference/cli/werf_dismiss.html" | true_relative_url }}) — для удаления приложения из кластера.
- [bundle apply]({{ "reference/cli/werf_bundle_apply.html" | true_relative_url }}) — для выката приложения из опубликованного ранее [бандла]({{ "usage/deploy/bundles.html" | true_relative_url }}).

## Гитерминизм

werf реализует режим гитерминизма при чтении конфигурации helm. Все конфигурационные файлы и дополнительные файлы (указанные через параметры) должны быть коммитнуты в текущем коммите git репозитория проекта, потому что werf будет читать конфигурацию напрямую из git. Эти файлы включают в себя:

 1. Все конфигурационные файлы чарта:

    ```
    .helm/
      Chart.yaml
      Chart.lock
      templates/
        <name>.yaml
        <name>.tpl
        <some_dir>/
          <name>.yaml
          <name>.tpl
      charts/
      secret/
      values.yaml
      secret-values.yaml
    ```

 2. Любые дополнительные [файлы со значениями (values)]({{ "/usage/deploy/values.html#обычные-пользовательские-данные" | true_relative_url }}), указанные пользователем с помощью опций `--values`, `--secret-values`, `--set-file`.

**ЗАМЕЧАНИЕ** werf поддерживает режим разработки, который позволяет работать с файлами проекта без создания ненужных промежуточных коммитов в процессе отладки и разработки. Режим активируется опцией `--dev` (к примеру, `werf converge --dev`).

## Сабчарты и гитерминизм

Для корректного использования сабчартов необходимо добавить файл [`.helm/Chart.lock`](https://helm.sh/docs/helm/helm_dependency/) и коммитнуть его в git репозиторий. werf автоматически скачает все зависимости указанные в lock-файле и загрузит файлы сабчартов корректно. Для стандартного кейса использования рекомендуется добавить директорию `.helm/charts` в `.gitignore`.

Имеется возможность явно добавить файлы сабчартов в директорию `.helm/charts/` и коммитнуть содержимое этой директории в git репозиторий. В таком случае werf скачает все сабчарты указанные в `.helm/Chart.lock` и загрузит чарты существующие в директории `.helm/charts` и совместит их. Чарты указанные в `.helm/charts` будут иметь приоритет в данном случае и должны переопределять чарты указанные в `.helm/Chart.lock`.

Больше информации по сабчартам в отдельной статье: [зависимости чартов]({{ "/usage/deploy/charts.html" | true_relative_url }}).
